$(document).ready(function(){

    // Change Logo Interior
    let changeLogo = $('.headerWhite .header-logo img').attr('src', 'archivos/logos/Visionarios2030-Logo_Blanco.svg');
    // Change Icon Cart
    let changeIconCart = $('.headerWhite .header-nav-top-icon-img').attr('src', 'archivos/icon-cart-light.svg');

    // Scroll Change Logo & Icon
    $(window).scroll(function (e){
        let scroll = $(window).scrollTop();
        if(scroll >= 30) {
            $(changeLogo).attr('src', 'archivos/logos/Visionarios2030-Logo_Negro.svg');
            $(changeIconCart).attr('src', 'archivos/icon-cart.svg');
        }else if(scroll < 30){
            $(changeLogo).attr('src', 'archivos/logos/Visionarios2030-Logo_Blanco.svg');
            $(changeIconCart).attr('src', 'archivos/icon-cart-light.svg');
        }
    });

    // Ajax Form Registro
	$('.tnp-submit').on('click', function(){    
		// $('.tnp-submit').addClass('disabled')
		$.ajax({
			type: "POST",
			data: $('.subscription-form').serialize(),
			url: "proccess.php",
			success: function (mje) {
				if (mje == 0){
					$('.messageForm').html("<strong><span style='color:#3a3a3a; margin: 15px 0; padding-bottom:28px;'>Gracias por suscribirse.</span></strong>");
					$('.subscription-form').trigger("reset");
					// $('.tnp-submit').removeClass('disabled')
					setTimeout(function(){   
						$('.messageForm').html("");
					},7000);
				}else if(mje == 1){
					$('.messageForm').html("<span style='color:red; margin: 15px 0; padding-bottom:28px;'>*Por favor completa los campos requeridos</span>");
					// $('.tnp-submit').removeClass('disabled') 
					setTimeout(function(){   
						$('.messageForm').html("");
					},7000);
				}else if(mje == 2){
					$('.messageForm').html("<span style='color:red; margin: 15px 0; padding-bottom:28px;'>*Por favor ingresa una dirección de correo valida</span>");
					// $('.tnp-submit').removeClass('disabled')
					setTimeout(function(){
						$('.messageForm').html("");
					},7000);
				}
			},
		});
	});
	// 

});